package intrinsic.mx.managers;

public class WindowedSystemManager extends intrinsic.flash.display.MovieClip implements intrinsic.mx.core.IFlexModuleFactory, intrinsic.mx.managers.ISystemManager, intrinsic.mx.core.IChildList {

	/** Accessors */
	public int toolTipIndex;
	public double height;
	public double width;
	public intrinsic.flash.geom.Rectangle screen;
	public int $numChildren;
	public intrinsic.mx.core.IChildList toolTipChildren;
	public intrinsic.flash.display.Sprite focusPane;
	public intrinsic.mx.core.IChildList popUpChildren;
	public intrinsic.mx.managers.ISystemManager topLevelSystemManager;
	public intrinsic.mx.core.IChildList cursorChildren;
	public Object embeddedFontList;
	public int noTopMostIndex;
	public intrinsic.mx.core.IChildList rawChildren;
	public double mouseX;
	public int numModalWindows;
	public intrinsic.mx.core.Window window;
	public Object document;
	public int cursorIndex;
	public double mouseY;
	public int topMostIndex;

	/** Variables */
	public intrinsic.mx.core.IUIComponent topLevelWindow;
	public int nestLevel;
	public Object _mouseX;
	public Object _mouseY;
	public int idleCounter;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WindowedSystemManager() {
}

public WindowedSystemManager(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void deactivate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native void addingChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native Object create();
public native intrinsic.flash.display.DisplayObject rawChildren_removeChild(intrinsic.flash.display.DisplayObject arg0);
public native boolean isTopLevel();
public native boolean isFontFaceEmbedded(intrinsic.flash.text.TextFormat arg0);
public native int rawChildren_getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native void removeFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native void addFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native void rawChildren_setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native boolean rawChildren_contains(intrinsic.flash.display.DisplayObject arg0);
public native void childAdded(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_removeChildAt(int arg0);
public native intrinsic.Array rawChildren_getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native Object getDefinitionByName(String arg0);
public native void activate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public native intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_getChildByName(String arg0);
public native void removingChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native Object info();
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_getChildAt(int arg0);
public native void childRemoved(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_addChild(intrinsic.flash.display.DisplayObject arg0);

}
